List views
curl --request GET \
--url https://b.anny.co/api/v1/views \
--header 'Authorization: Bearer <token>'import requests
url = "https://b.anny.co/api/v1/views"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://b.anny.co/api/v1/views', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"type": "views",
"id": "9d001fc6-7cf2-4724-8752-3282ad1e1a42",
"attributes": {
"name": "My Bookings",
"area": "bookings",
"filters": {
"upcomingOnly": true,
"status": [],
"resources": []
},
"columns": [
"number",
"description",
"customer.fullName",
"service.name",
"resource.name",
"period",
"subtotal",
"status",
"presence"
],
"config": null,
"owner_type": "users",
"owner_id": 42,
"created_at": "2026-04-02T14:30:22+00:00",
"updated_at": "2026-04-02T14:30:22+00:00"
},
"meta": {
"is_shared": false
}
}
]
}Personalization
List views
Retrieve private and shared Views available to the authenticated user.
Scope rules:
- Private views are only visible to their owner.
- Shared views are visible based on entity-scoped permissions.
- Results are always organization-scoped.
GET
/
api
/
v1
/
views
List views
Autorisierungen
The access token received from the authorization server in the OAuth 2.0 flow.
Header
Bearer Token
Abfrageparameter
Organization ID
Comma-separated. Allowed: organization, owner, last_edited_by
Allowed: name, area, created_at, updated_at
Case-insensitive search by view name
Filter by ownership mode (true for organization-owned views)
Filter by functional view area
Verfügbare Optionen:
bookings, orders, customers, resources, invoices, queue-ticket-bookings, plan-subscriptions, booking-passes, calendar Antwort
OK
Show child attributes
Show child attributes